import 'package:flutter/material.dart';

import 'package:font_awesome_flutter/font_awesome_flutter.dart';
import 'package:senior_design_system/senior_design_system.dart';

import '../../widgets/page_wrapper.dart';

class StepperExample extends StatefulWidget {
  StepperExample({Key? key}) : super(key: key);

  @override
  State<StepperExample> createState() => _StepperExampleState();
}

class _StepperExampleState extends State<StepperExample> {
  int steps = 10;
  int current = 0;

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Stepper',
      child: SingleChildScrollView(
        child: Padding(
          padding: const EdgeInsets.all(16.0),
          child: Column(
            children: [
              SeniorStepper(
                steps: steps,
                current: current,
              ),
              const SizedBox(
                height: 10,
              ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  SeniorButton.icon(
                      icon: FontAwesomeIcons.backward,
                      label: '',
                      onPressed: () {
                        if (current > 0)
                          setState(() {
                            current--;
                          });
                      }),
                  SeniorButton.icon(
                      icon: FontAwesomeIcons.forward,
                      label: '',
                      onPressed: () {
                        setState(() {
                          current++;
                        });
                      }),
                ],
              ),
            ],
          ),
        ),
      ),
    );
  }
}
